Bug 1291705 - Misleading event message about permission issue if gluster volume replica count is not supported
Misleading event message about permission issue if gluster volume replica cou...
Status: NEW
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
3.6.0
Unspecified Unspecified
high Severity medium (vote)
: ovirt-4.3.0
: ---
Assigned To: Ala Hino
Natalie Gavrielov
:
Depends On: 1286565
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-15 08:23 EST by Ala Hino
Modified: 2017-10-05 09:55 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.3+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 49474 master ABANDONED alerts: Introduce the alerts module 2015-12-23 07:28 EST
oVirt gerrit 49475 master ABANDONED gluster: Add alerts when replica count is not 3 2015-12-23 07:28 EST

  None (edit)
Description Ala Hino 2015-12-15 08:23:58 EST
Description of problem:
We recommend using gluster replica 3 volumes.
If volume replica count is not supported, we want to display an alert showing this.
Comment 1 Allon Mureinik 2016-01-04 11:06:24 EST
The fix for bug 1286565 restores support for replica counts other than 1 and 3 with a warning in VDSM side.

Having an alert in the engine is an entire new mechanism, and out of scope for oVirt 3.6.z.
Comment 2 Allon Mureinik 2017-07-16 09:52:42 EDT
Yaniv, is this still relevant in 4.2? IIRC, we relaxed the support statement?
Comment 3 Yaniv Lavi 2017-07-20 08:59:22 EDT
(In reply to Allon Mureinik from comment #2)
> Yaniv, is this still relevant in 4.2? IIRC, we relaxed the support statement?

It's either 1 or 3 still. I don't see this changing anytime soon.
Comment 4 Jiri Belka 2017-10-05 09:43:44 EDT
imo it is still relevant and I suppose not supported replica number was issue for 'permissions error' in BZ1259441.

2017-10-05 14:32:27,383+0200 INFO  (jsonrpc/5) [vdsm.api] START connectStorageServer(domType=7, spUUID=u'00000000-0000-0000-0000-000000000000', conList=[{u'id': u'00000000-0000-0000-0000-000000000000', u'connecti
on': u'10-37-138-193.example.com:/data', u'iqn': u'', u'user': u'', u'tpgt': u'1', u'vfs_type': u'glusterfs', u'password': '********', u'port': u''}], options=None) from=::ffff:10.37.138.3,40352, 
flow_id=d9b4dad2-0ef1-40b5-8108-53e1f725c62e, task_id=351a7bea-a2e7-4230-85a7-386950acc453 (api:46)
2017-10-05 14:32:27,422+0200 INFO  (jsonrpc/6) [jsonrpc.JsonRpcServer] RPC call Host.getAllVmStats succeeded in 0.01 seconds (__init__:630)
2017-10-05 14:32:27,517+0200 WARN  (jsonrpc/5) [storage.StorageServer.MountConnection] Unsupported replica count (2) for volume u'data', please upgrade volume to replica 3 (storageServer:282)
2017-10-05 14:32:27,518+0200 INFO  (jsonrpc/5) [storage.Mount] mounting 10-37-138-193.example.com:/data at /rhev/data-center/mnt/glusterSD/10-37-138-193.example.com:_data (mount:20
5)
2017-10-05 14:32:27,861+0200 INFO  (jsonrpc/5) [IOProcessClient] Starting client ioprocess-0 (__init__:319)
2017-10-05 14:32:27,890+0200 INFO  (ioprocess/23856) [IOProcess] Starting ioprocess (__init__:445)
2017-10-05 14:32:27,917+0200 INFO  (jsonrpc/5) [storage.Mount] unmounting /rhev/data-center/mnt/glusterSD/10-37-138-193.example.com:_data (mount:213)
2017-10-05 14:32:27,976+0200 ERROR (jsonrpc/5) [storage.HSM] Could not connect to storageServer (hsm:2357)
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/vdsm/storage/hsm.py", line 2354, in connectStorageServer
    conObj.connect()
  File "/usr/lib/python2.7/site-packages/vdsm/storage/storageServer.py", line 174, in connect
    six.reraise(t, v, tb)
  File "/usr/lib/python2.7/site-packages/vdsm/storage/storageServer.py", line 167, in connect
    self.getMountObj().getRecord().fs_file)
  File "/usr/lib/python2.7/site-packages/vdsm/storage/fileSD.py", line 86, in validateDirAccess
    raise se.StorageServerAccessPermissionError(dirPath)
StorageServerAccessPermissionError: Permission settings on the specified path do not allow access to the storage. Verify permission settings on the specified storage path.: 'path = /rhev/data-center/mnt/glusterSD/10-37-138-193.example.com:_data'
Comment 5 Jiri Belka 2017-10-05 09:54:55 EDT
In Admin Portal one received a little bit misleading event about permissions error:

- admin portal:

The error message for connection 10-37-138-193.example.com:/data returned by VDSM was: Permission settings on the specified path do not allow access to the storage. Verify permission settings on the specified storage path.

when in fact it is unsupported replica number for gluster volume:

- vdsm:

2017-10-05 14:32:27,517+0200 WARN  (jsonrpc/5) [storage.StorageServer.MountConnection] Unsupported replica count (2) for volume u'data', please upgrade volume to replica 3 (storageServer:282)
2017-10-05 14:32:27,518+0200 INFO  (jsonrpc/5) [storage.Mount] mounting 10-37-138-193.rhev.lab.eng.brq.redhat.com:/data at /rhev/data-center/mnt/glusterSD/10-37-138-193.example.com:_data (mount:20
5)

- engine.log:


2017-10-05 14:32:27,316+02 INFO  [org.ovirt.engine.core.bll.storage.connection.AddStorageServerConnectionCommand] (default task-23) [d9b4dad2-0ef1-40b5-8108-53e1f725c62e] Running command: AddStorageServerConnectionCommand internal: false. Entities affected :  ID: aaa00000
-0000-0000-0000-123456789aaa Type: SystemAction group CREATE_STORAGE_DOMAIN with role type ADMIN
2017-10-05 14:32:27,344+02 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.ConnectStorageServerVDSCommand] (default task-23) [d9b4dad2-0ef1-40b5-8108-53e1f725c62e] START, ConnectStorageServerVDSCommand(HostName = 10-37-138-193, StorageServerConnectionManagementVDSParamet
ers:{hostId='653be0fe-389a-4231-bb54-8bf52da66d5d', storagePoolId='00000000-0000-0000-0000-000000000000', storageType='GLUSTERFS', connectionList='[StorageServerConnections:{id='null', connection='10-37-138-193.rhev.lab.eng.brq.redhat.com:/data', iqn='null', vfsType='glus
terfs', mountOptions='null', nfsVersion='null', nfsRetrans='null', nfsTimeo='null', iface='null', netIfaceName='null'}]'}), log id: 398f4160
2017-10-05 14:32:28,039+02 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.ConnectStorageServerVDSCommand] (default task-23) [d9b4dad2-0ef1-40b5-8108-53e1f725c62e] FINISH, ConnectStorageServerVDSCommand, return: {00000000-0000-0000-0000-000000000000=469}, log id: 398f416
0
2017-10-05 14:32:28,059+02 ERROR [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (default task-23) [d9b4dad2-0ef1-40b5-8108-53e1f725c62e] EVENT_ID: STORAGE_DOMAIN_ERROR(996), The error message for connection 10-37-138-193.example.com:/data returned by VDSM was: Permission settings on the specified path do not allow access to the storage.
Verify permission settings on the specified storage path.
2017-10-05 14:32:28,060+02 ERROR [org.ovirt.engine.core.bll.storage.connection.FileStorageHelper] (default task-23) [d9b4dad2-0ef1-40b5-8108-53e1f725c62e] The connection with details '10-37-138-193.example.com:/data' failed because of error code '469' and error message is: permission settings on the specified path do not allow access to the storage.
verify permission settings on the specified storage path.
2017-10-05 14:32:28,061+02 ERROR [org.ovirt.engine.core.bll.storage.connection.AddStorageServerConnectionCommand] (default task-23) [d9b4dad2-0ef1-40b5-8108-53e1f725c62e] Command 'org.ovirt.engine.core.bll.storage.connection.AddStorageServerConnectionCommand' failed: EngineException: StorageServerAccessPermissionError (Failed with error StorageServerAccessPermissionError and code 469)
2017-10-05 14:32:28,118+02 ERROR [org.ovirt.engine.core.bll.storage.connection.AddStorageServerConnectionCommand] (default task-23) [d9b4dad2-0ef1-40b5-8108-53e1f725c62e] Transaction rolled-back for command 'org.ovirt.engine.core.bll.storage.connection.AddStorageServerConnectionCommand'.
2017-10-05 14:32:28,132+02 INFO  [org.ovirt.engine.core.bll.storage.connection.AddStorageServerConnectionCommand] (default task-23) [d9b4dad2-0ef1-40b5-8108-53e1f725c62e] Lock freed to object 'EngineLock:{exclusiveLocks='[10-37-138-193.example.com:/data=STORAGE_CONNECTION]', sharedLocks=''}'

Note You need to log in before you can comment on or make changes to this bug.